> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.whizcozy.com/api-reference/whiz-board-api/firms/get-firm-api-v-1-firms-firm-slug-get/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.whizcozy.com/_mcp/server. # Get Firm GET https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/{firm_slug} Get firm details by slug. Anonymous requests receive public branding fields for login screens. Authenticated requests require firm membership and receive full details. **Path params**: - `firm_slug` (string) **Anonymous response**: - `id` (int) - `name` (string) - `slug` (string) - `logo_url` (string | null) **Authenticated member response**: - Full firm profile **Errors**: - 401: Invalid token - 403: Not a member of the firm - 404: Firm not found Reference: https://docs.whizcozy.com/api-reference/whiz-board-api/firms/get-firm-api-v-1-firms-firm-slug-get ## Authentication - `Authorization` header (required) — API Key authentication via header ## Request ### Path parameters - `firm_slug` (string, required) ## Response ### 200 Successful Response - `data` (CustomSuccessUnionFirmResponseFirmPublicResponseData, required) - `status` (string, optional, default: success) ## Errors ### 422 Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ## Types ### CustomSuccessUnionFirmResponseFirmPublicResponseData ### ValidationError - `loc` (list of ValidationErrorLocItems, required) - `msg` (string, required) - `type` (string, required) - `input` (any, optional) - `ctx` (ValidationErrorCtx, optional) ### FirmResponse - `id` (integer, required) - `name` (string, required) - `slug` (string, required) - `owner_user_id` (integer, required) - `contact_email` (string, optional, nullable) - `contact_phone` (string, optional, nullable) - `description` (string, optional, nullable) - `logo_url` (string, optional, nullable) - `logo_filename` (string, optional, nullable) - `logo_mime_type` (string, optional, nullable) - `logo_size` (integer, optional, nullable) ### FirmPublicResponse - `id` (integer, required) - `name` (string, required) - `slug` (string, required) - `logo_url` (string, optional, nullable) ### ValidationErrorLocItems ### ValidationErrorCtx ## Examples **Response** ```json { "data": { "contact_email": "string", "contact_phone": "string", "description": "string", "id": 1, "logo_filename": "string", "logo_mime_type": "string", "logo_size": 1, "logo_url": "string", "name": "string", "owner_user_id": 1, "slug": "string" }, "status": "success" } ``` **SDK Code** ```python import requests url = "https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```